Skip to main content
Monitoring & Collection/Monitoring Query & Overview

RecordHealthEvent

Record a health event (latency measurement or error) for a platform

POST/api/v1/monitoring/platform/{platformUuid}/health-events

Operation ID

RecordHealthEvent

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • platformUuid
    StringRequired

    UUID of the platform to record the health event for

Body Fields

  • eventType
    StringRequired

    Type of event being recorded (e.g. error, latency_spike)

    Example: error

  • latencyMs
    StringRequired

    Observed latency in milliseconds

    Example: 280

  • errorMessage
    StringRequired

    Optional error message to include with this event

    Example: upstream timeout

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.